> ## Documentation Index
> Fetch the complete documentation index at: https://docs.replo.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a folder or store up to 10 MiB of file content. Asset sources copy without deleting the asset. Name conflicts never overwrite.

> **Beta** — this endpoint may change before general availability.



## OpenAPI

````yaml /api-reference/openapi.json post /files
openapi: 3.1.0
info:
  title: Replo Public API
  version: '2026-08-21'
servers:
  - url: https://api.replo.app/v1
security: []
paths:
  /files:
    post:
      tags:
        - Files
      summary: >-
        Create a folder or store up to 10 MiB of file content. Asset sources
        copy without deleting the asset. Name conflicts never overwrite.
      description: '**Beta** — this endpoint may change before general availability.'
      operationId: files.create
      parameters:
        - name: Replo-Api-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2026-08-21'
          description: The public API version to use for this request.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    projectId:
                      type: string
                      format: uuid
                    parentId:
                      type:
                        - string
                        - 'null'
                      format: uuid
                    name:
                      type: string
                      minLength: 1
                      maxLength: 255
                    kind:
                      type: string
                      enum:
                        - folder
                  required:
                    - projectId
                    - name
                    - kind
                  additionalProperties: false
                - type: object
                  properties:
                    projectId:
                      type: string
                      format: uuid
                    parentId:
                      type:
                        - string
                        - 'null'
                      format: uuid
                    name:
                      type: string
                      minLength: 1
                      maxLength: 255
                    kind:
                      type: string
                      enum:
                        - file
                    source:
                      oneOf:
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - text
                            text:
                              type: string
                            contentType:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - type
                            - text
                          additionalProperties: false
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - base64
                            dataBase64:
                              type: string
                            contentType:
                              type: string
                              minLength: 1
                              maxLength: 255
                          required:
                            - type
                            - dataBase64
                            - contentType
                          additionalProperties: false
                        - type: object
                          properties:
                            type:
                              type: string
                              enum:
                                - asset
                            assetId:
                              type: string
                              format: uuid
                          required:
                            - type
                            - assetId
                          additionalProperties: false
                  required:
                    - projectId
                    - name
                    - kind
                    - source
                  additionalProperties: false
      responses:
        '200':
          description: >-
            Create a folder or store up to 10 MiB of file content. Asset sources
            copy without deleting the asset. Name conflicts never overwrite.
          content:
            application/json:
              schema:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - file
                  id:
                    type: string
                    format: uuid
                  projectId:
                    type: string
                    format: uuid
                  parentId:
                    type:
                      - string
                      - 'null'
                    format: uuid
                  name:
                    type: string
                  kind:
                    type: string
                    enum:
                      - file
                      - folder
                  sizeBytes:
                    type:
                      - number
                      - 'null'
                    minimum: 0
                  contentType:
                    type:
                      - string
                      - 'null'
                  createdAt:
                    type: string
                    format: date-time
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - object
                  - id
                  - projectId
                  - parentId
                  - name
                  - kind
                  - sizeBytes
                  - contentType
                  - createdAt
                  - updatedAt
                additionalProperties: false
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '401':
          description: Missing or invalid Replo Public API token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '403':
          description: You are not authorized to access this resource.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '409':
          description: The resource is in a conflicting state.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '413':
          description: File content exceeds the 10 MiB limit.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '429':
          description: >-
            Too many requests. Please retry after the time indicated by the
            Retry-After header.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '500':
          description: An internal error occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
        '503':
          description: Service temporarily unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicApiError'
      security:
        - bearerAuth: []
components:
  schemas:
    PublicApiError:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
            doc_url:
              type: string
          required:
            - code
            - message
            - doc_url
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````